#ifndef TIMEBTN_H
#define TIMEBTN_H
#include <QPushButton>
#include "fixlabel.h"
#include "lightlabel.h"
#include <QGSettings>
#include <QTimeZone>
#include <QLabel>
#include "ukccframe.h"
#include <QTimerEvent>

class TimeBtn : public UkccFrame
{
    Q_OBJECT
public:
    TimeBtn(const QString &timezone, const QString &kyTimezone = "");
    ~TimeBtn();
    void updateTime(bool hour_24);

protected:
    void enterEvent(QEvent *event);
    void leaveEvent(QEvent *event);
    void timerEvent(QTimerEvent *e);

private:
    QTimeZone thisZone;
    int timerId = 0;
    FixLabel       *labelInfo     = nullptr;
    LightLabel     *labelTime     = nullptr;
    QDBusInterface *areaInterface = nullptr;
    QPushButton    *deleteBtn     = nullptr;

Q_SIGNALS:
    void deleted();
};


#endif // TIMEBTN_H
